package main

import (
	"time"

	"go.wit.com/lib/protobuf/zoopb"
)

var me *stuff

// this app's variables
type stuff struct {
	hostname  string          // my hostname to send to zookeeper
	zookeeper string          // the dns name for the zookeeper
	pollDelay time.Duration   // how often to report our status
	dog       *time.Ticker    // the watchdog timer
	distro    string          // debian,redhat,gentoo,macos,wincrap
	machine   *zoopb.Machine  // my protobuf
	// packages  *zoopb.Packages // installed packages and versions
}
